## ros-rolling-rosbridge-server 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbridge_server)

find_package(ament_cmake_ros REQUIRED)
find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_python REQUIRED)

ament_python_install_package(
  ${PROJECT_NAME} PACKAGE_DIR "src/${PROJECT_NAME}")

ament_package()

install(PROGRAMS
  scripts/rosbridge_websocket.py
  scripts/rosbridge_websocket
  DESTINATION lib/${PROJECT_NAME}
)

install(FILES
  launch/rosbridge_websocket_launch.xml
  DESTINATION share/${PROJECT_NAME}/launch
)

if(BUILD_TESTING)
  find_package(launch_testing_ament_cmake REQUIRED)
  add_launch_test(test/websocket/advertise_service.test.py)
  add_launch_test(test/websocket/call_service.test.py)
  add_launch_test(test/websocket/smoke.test.py)
  add_launch_test(test/websocket/transient_local_publisher.test.py)
  add_launch_test(test/websocket/best_effort_publisher.test.py)
endif()

=== debian/changelog ===
ros-rolling-rosbridge-server (1.1.2-1focal) focal; urgency=high

  * [694] update DurabilityPolicy api that are being deprecated (#695 <https://github.com/RobotWebTools/rosbridge_suite/issues/695>)
  * Contributors: Evan Flynn

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 03 Jan 2022 08:00:00 -0000

ros-rolling-rosbridge-server (1.1.1-1focal) focal; urgency=high

  * Allow subscribing to any qos profile when creating a subscriber (#690 <https://github.com/RobotWebTools/rosbridge_suite/issues/690>)
  * Fix and add test for multiple subscribers to same topic (#687 <https://github.com/RobotWebTools/rosbridge_suite/issues/687>)
  * Delete unsupported TCP and UDP server implementations in ROS 2 branch (#685 <https://github.com/RobotWebTools/rosbridge_suite/issues/685>)
  * Fix error when advertising duplicate service (#683 <https://github.com/RobotWebTools/rosbridge_suite/issues/683>)
  * Fix incoming service calls (#669 <https://github.com/RobotWebTools/rosbridge_suite/issues/669>)
  * Replace busy wait in AdvertiseService with async handler (#666 <https://github.com/RobotWebTools/rosbridge_suite/issues/666>)
  * Refactor smoke test to make WebSocket test harness reusable (#675 <https://github.com/RobotWebTools/rosbridge_suite/issues/675>)
  * Contributors: Domenic Rodriguez, Jacob Bandes-Storch, Roman Shtylman

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 09 Dec 2021 08:00:00 -0000

ros-rolling-rosbridge-server (1.1.0-1focal) focal; urgency=high

  * Exit cleanly on SIGINT; remove sleep in test (#667 <https://github.com/RobotWebTools/rosbridge_suite/issues/667>)
  * Fix unused variables: flake8 --select=F841 (#623 <https://github.com/RobotWebTools/rosbridge_suite/issues/623>)
  * Fix undefined name in rosbridge_websocket (#659 <https://github.com/RobotWebTools/rosbridge_suite/issues/659>)
  * Port #464 <https://github.com/RobotWebTools/rosbridge_suite/issues/464>, #478 <https://github.com/RobotWebTools/rosbridge_suite/issues/478>, #496 <https://github.com/RobotWebTools/rosbridge_suite/issues/496>, and #502 <https://github.com/RobotWebTools/rosbridge_suite/issues/502> from ROS1 branch (#663 <https://github.com/RobotWebTools/rosbridge_suite/issues/663>)
  * Add pre-commit, format with black and isort (#648 <https://github.com/RobotWebTools/rosbridge_suite/issues/648>)
  * Contributors: Adrian Macneil, Christian Clauss, Domenic Rodriguez, Jacob Bandes-Storch, Kenji Miyake

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 22 Oct 2021 07:00:00 -0000

ros-rolling-rosbridge-server (1.0.8-1focal) focal; urgency=high

  * Add missing test_depends and buildtool_depends
  * Fix various Python code style and lint issues
  * Contributors: Christian Clauss, Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 26 Aug 2021 07:00:00 -0000

ros-rolling-rosbridge-server (1.0.7-1focal) focal; urgency=high

  * Fix typos discovered by codespell (#600 <https://github.com/RobotWebTools/rosbridge_suite/issues/600>)
  * Contributors: Christian Clauss

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 18 Aug 2021 07:00:00 -0000

ros-rolling-rosbridge-server (1.0.6-1focal) focal; urgency=high

  * Fix broken links in changelogs
  * Contributors: Jacob Bandes-Storch

 -- Russell Toris <rctoris@wpi.edu>  Tue, 17 Aug 2021 07:00:00 -0000

ros-rolling-rosbridge-server (1.0.5-1focal) focal; urgency=high

  * Fix globs in launch xml for ROS 2 pre-Galactic (#589 <https://github.com/RobotWebTools/rosbridge_suite/issues/589>)
  * Remove authentication features and rosauth dependency (#586 <https://github.com/RobotWebTools/rosbridge_suite/issues/586>)
    [rosauth](http://wiki.ros.org/rosauth) is not maintained for ROS 2, and has not been released for Galactic (https://github.com/GT-RAIL/rosauth/issues/35). Since the authentication feature is old and not commonly used, and since rosbridge_suite has not yet been released in Eloquent, Foxy, or Galactic, we decided to just remove the authentication features to unblock us from pushing releases.
    To avoid breaking backwards compatibility, we will not publish the new version of rosbridge_suite for Dashing.
  * The server now allows choosing port:=0 to select an ephemeral port, and sets the port number in the actual_port ROS param. (#585 <https://github.com/RobotWebTools/rosbridge_suite/issues/585>)
  * Contributors: Jacob Bandes-Storch

 -- Russell Toris <rctoris@wpi.edu>  Thu, 12 Aug 2021 07:00:00 -0000

ros-rolling-rosbridge-server (1.0.4-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 11 Aug 2021 07:00:00 -0000

ros-rolling-rosbridge-server (1.0.3-1focal) focal; urgency=high

  * Add cbor-raw compression support (#574 <https://github.com/RobotWebTools/rosbridge_suite/issues/574>, adapted from ROS 1 implementation #452 <https://github.com/RobotWebTools/rosbridge_suite/issues/452>)
  * Adaptations to Eloquent [Again] (#533 <https://github.com/RobotWebTools/rosbridge_suite/issues/533>)
    * increase spin period to 1000Hz to allow 1000 messages per second into the websocket
    * allow interpreting int as float when needed
    * better handling array.array and numpy arrays
    * allow bytes and str websocket messages
    * add boolean type
    * handle type extraction of static array rostypes
    * missing cls variable
    Co-authored-by: Maximilian Matthe <mailto:maxi.matthe@googlemail.com>
    Co-authored-by: CoRoLa generic <mailto:corola@bi>
    Co-authored-by: joshwapohlmann <mailto:joshwa.pohlmann@barkhauseninstitut.org>
  * Contributors: Jacob Bandes-Storch, travipross

 -- Russell Toris <rctoris@wpi.edu>  Tue, 03 Aug 2021 07:00:00 -0000

ros-rolling-rosbridge-server (1.0.2-1focal) focal; urgency=high

  * use Python 3 dependency keys (#436 <https://github.com/RobotWebTools/rosbridge_suite/issues/436>)

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Sep 2019 07:00:00 -0000

ros-rolling-rosbridge-server (1.0.1-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 20 Sep 2019 07:00:00 -0000



=== debian/control ===
Source: ros-rolling-rosbridge-server
Section: misc
Priority: optional
Maintainer: Jihoon Lee <jihoonlee.in@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-autobahn, ros-rolling-ament-cmake, ros-rolling-ament-cmake-ros, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-launch-testing, ros-rolling-launch-testing-ament-cmake, ros-rolling-launch-testing-ros, ros-rolling-std-srvs, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/rosbridge_server
Standards-Version: 3.9.2

Package: ros-rolling-rosbridge-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-tornado, python3-twisted, ros-rolling-rclpy, ros-rolling-rosapi, ros-rolling-rosbridge-library, ros-rolling-rosbridge-msgs, ros-rolling-ros-workspace
Description: A WebSocket interface to rosbridge.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rosbridge-server//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rosbridge-server 1.3.1

=== debian/changelog ===
ros-rolling-rosbridge-server (1.3.1-2jammy) jammy; urgency=high

  * Fix exceptions not being handled correctly. (#817 <https://github.com/RobotWebTools/rosbridge_suite/issues/817>)
  * Skip unnecessary conversion for cbor/cbor-raw compression (#792 <https://github.com/RobotWebTools/rosbridge_suite/issues/792>) (#800 <https://github.com/RobotWebTools/rosbridge_suite/issues/800>)
  * Improve robustness for multiple client connections (#803 <https://github.com/RobotWebTools/rosbridge_suite/issues/803>)
  * Minor performance improvements (#809 <https://github.com/RobotWebTools/rosbridge_suite/issues/809>)
  * Fix hostname parameter is no longer converted as an int value (#780 <https://github.com/RobotWebTools/rosbridge_suite/issues/780>)
  * Fix duplicate subscription created with wrong 'raw' attribute. (#798 <https://github.com/RobotWebTools/rosbridge_suite/issues/798>)
  * Add graceful shutdown (#794 <https://github.com/RobotWebTools/rosbridge_suite/issues/794>)
  * Contributors: Hans-Joachim Krauch, Hugo Perier, Steffen Nattke

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 21 Oct 2022 07:00:00 -0000

ros-rolling-rosbridge-server (1.3.0-2jammy) jammy; urgency=high

  * Add url_path config option (#709 <https://github.com/RobotWebTools/rosbridge_suite/issues/709>)
  * Contributors: Matthijs van der Burgh, Sirawat S

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 16 Aug 2022 07:00:00 -0000

ros-rolling-rosbridge-server (1.2.0-2jammy) jammy; urgency=high

  * Fixed multiple subscriber on transient_local topic (#723 <https://github.com/RobotWebTools/rosbridge_suite/issues/723>)
  * use uuid to ensure client id uniqueness (#713 <https://github.com/RobotWebTools/rosbridge_suite/issues/713>)
  * Contributors: Jacob Bandes-Storch, Will, p0rys

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 20 May 2022 07:00:00 -0000

ros-rolling-rosbridge-server (1.1.2-2jammy) jammy; urgency=high

  * [694] update DurabilityPolicy api that are being deprecated (#695 <https://github.com/RobotWebTools/rosbridge_suite/issues/695>)
  * Contributors: Evan Flynn

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 03 Jan 2022 08:00:00 -0000

ros-rolling-rosbridge-server (1.1.1-2jammy) jammy; urgency=high

  * Allow subscribing to any qos profile when creating a subscriber (#690 <https://github.com/RobotWebTools/rosbridge_suite/issues/690>)
  * Fix and add test for multiple subscribers to same topic (#687 <https://github.com/RobotWebTools/rosbridge_suite/issues/687>)
  * Delete unsupported TCP and UDP server implementations in ROS 2 branch (#685 <https://github.com/RobotWebTools/rosbridge_suite/issues/685>)
  * Fix error when advertising duplicate service (#683 <https://github.com/RobotWebTools/rosbridge_suite/issues/683>)
  * Fix incoming service calls (#669 <https://github.com/RobotWebTools/rosbridge_suite/issues/669>)
  * Replace busy wait in AdvertiseService with async handler (#666 <https://github.com/RobotWebTools/rosbridge_suite/issues/666>)
  * Refactor smoke test to make WebSocket test harness reusable (#675 <https://github.com/RobotWebTools/rosbridge_suite/issues/675>)
  * Contributors: Domenic Rodriguez, Jacob Bandes-Storch, Roman Shtylman

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 09 Dec 2021 08:00:00 -0000

ros-rolling-rosbridge-server (1.1.0-2jammy) jammy; urgency=high

  * Exit cleanly on SIGINT; remove sleep in test (#667 <https://github.com/RobotWebTools/rosbridge_suite/issues/667>)
  * Fix unused variables: flake8 --select=F841 (#623 <https://github.com/RobotWebTools/rosbridge_suite/issues/623>)
  * Fix undefined name in rosbridge_websocket (#659 <https://github.com/RobotWebTools/rosbridge_suite/issues/659>)
  * Port #464 <https://github.com/RobotWebTools/rosbridge_suite/issues/464>, #478 <https://github.com/RobotWebTools/rosbridge_suite/issues/478>, #496 <https://github.com/RobotWebTools/rosbridge_suite/issues/496>, and #502 <https://github.com/RobotWebTools/rosbridge_suite/issues/502> from ROS1 branch (#663 <https://github.com/RobotWebTools/rosbridge_suite/issues/663>)
  * Add pre-commit, format with black and isort (#648 <https://github.com/RobotWebTools/rosbridge_suite/issues/648>)
  * Contributors: Adrian Macneil, Christian Clauss, Domenic Rodriguez, Jacob Bandes-Storch, Kenji Miyake

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 22 Oct 2021 07:00:00 -0000

ros-rolling-rosbridge-server (1.0.8-2jammy) jammy; urgency=high

  * Add missing test_depends and buildtool_depends
  * Fix various Python code style and lint issues
  * Contributors: Christian Clauss, Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 26 Aug 2021 07:00:00 -0000

ros-rolling-rosbridge-server (1.0.7-2jammy) jammy; urgency=high

  * Fix typos discovered by codespell (#600 <https://github.com/RobotWebTools/rosbridge_suite/issues/600>)
  * Contributors: Christian Clauss

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 18 Aug 2021 07:00:00 -0000

ros-rolling-rosbridge-server (1.0.6-2jammy) jammy; urgency=high

  * Fix broken links in changelogs
  * Contributors: Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 17 Aug 2021 07:00:00 -0000

ros-rolling-rosbridge-server (1.0.5-2jammy) jammy; urgency=high

  * Fix globs in launch xml for ROS 2 pre-Galactic (#589 <https://github.com/RobotWebTools/rosbridge_suite/issues/589>)
  * Remove authentication features and rosauth dependency (#586 <https://github.com/RobotWebTools/rosbridge_suite/issues/586>)
    [rosauth](http://wiki.ros.org/rosauth) is not maintained for ROS 2, and has not been released for Galactic (https://github.com/GT-RAIL/rosauth/issues/35). Since the authentication feature is old and not commonly used, and since rosbridge_suite has not yet been released in Eloquent, Foxy, or Galactic, we decided to just remove the authentication features to unblock us from pushing releases.
    To avoid breaking backwards compatibility, we will not publish the new version of rosbridge_suite for Dashing.


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Jihoon Lee <jihoonlee.in@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), python3-autobahn, ros-rolling-ament-cmake, ros-rolling-ament-cmake-ros, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-launch-testing, ros-rolling-launch-testing-ament-cmake, ros-rolling-launch-testing-ros, ros-rolling-std-srvs, ros-rolling-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), python3-autobahn <!nocheck>, ros-rolling-ament-cmake, ros-rolling-ament-cmake-ros, ros-rolling-launch <!nocheck>, ros-rolling-launch-ros <!nocheck>, ros-rolling-launch-testing <!nocheck>, ros-rolling-launch-testing-ament-cmake <!nocheck>, ros-rolling-launch-testing-ros <!nocheck>, ros-rolling-std-srvs <!nocheck>, ros-rolling-ros-workspace
 Homepage: http://ros.org/wiki/rosbridge_server
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
